Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::IBayerAverageMapSettings Class Reference

Request settings used to configure Bayer average map generation. More...

`#include <BayerAverageMap.h>`

Inheritance diagram for Argus::Ext::IBayerAverageMapSettings:

List of all members.

## Public Member Functions

virtual void | setBayerAverageMapEnable (bool enable)=0
| Enables or disables Bayer average map generation.
virtual bool | getBayerAverageMapEnable () const =0

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~IBayerAverageMapSettings ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Request settings used to configure Bayer average map generation.

Definition at line 61 of file BayerAverageMap.h.

## Constructor & Destructor Documentation

Argus::Ext::IBayerAverageMapSettings::~IBayerAverageMapSettings | ( |  | ) |

inlineprotected

Definition at line 80 of file BayerAverageMap.h.

## Member Function Documentation

virtual bool Argus::Ext::IBayerAverageMapSettings::getBayerAverageMapEnable | ( |  | ) | const

pure virtual

Returns:
  whether or not Bayer average map generation is enabled.

static const InterfaceID& Argus::Ext::IBayerAverageMapSettings::id | ( |  | ) |

inlinestatic

Definition at line 64 of file BayerAverageMap.h.

virtual void Argus::Ext::IBayerAverageMapSettings::setBayerAverageMapEnable | ( | bool | enable | ) |

pure virtual

Enables or disables Bayer average map generation.

When enabled, CaptureMetadata returned by completed captures will expose the IBayerAverageMap interface.

Parameters:

  [in] | enable | whether or not Bayer average map generation is enabled.

The documentation for this class was generated from the following file:

- include/Argus/Ext/BayerAverageMap.h